Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.thrift
Class TimedOutException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.cassandra.thrift.TimedOutException

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TimedOutException>, org.apache.thrift.TBase<TimedOutException,TimedOutException._Fields>

    public class TimedOutException

extends java.lang.Exception
implements org.apache.thrift.TBase<TimedOutException,TimedOutException._Fields>, java.io.Serializable, java.lang.Cloneable

RPC timeout was exceeded. either a node failed mid-operation, or load was too high, or the requested op was too large.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `TimedOutException._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

Field Summary
`static java.util.Map<TimedOutException._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`

Constructor Summary
`TimedOutException()`
`TimedOutException(TimedOutException other)` Performs a deep copy on other.

Method Summary
`void` | `clear()`
`int` | `compareTo(TimedOutException other)`
`TimedOutException` | `deepCopy()`
`boolean` | `equals(java.lang.Object that)`
`boolean` | `equals(TimedOutException that)`
`TimedOutException._Fields` | `fieldForId(int fieldId)`
`java.lang.Object` | `getFieldValue(TimedOutException._Fields field)`
`int` | `hashCode()`
`boolean` | `isSet(TimedOutException._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
`void` | `setFieldValue(TimedOutException._Fields field, java.lang.Object value)`
`java.lang.String` | `toString()`
`void` | `validate()`
`void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### metaDataMap

    public static final java.util.Map<TimedOutException._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

Constructor Detail

### TimedOutException

    public TimedOutException()

### TimedOutException

    public TimedOutException(TimedOutException other)

  Performs a deep copy on other.

Method Detail

### deepCopy

    public TimedOutException deepCopy()

  Specified by:
    `deepCopy` in interface `org.apache.thrift.TBase<TimedOutException,TimedOutException._Fields>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `org.apache.thrift.TBase<TimedOutException,TimedOutException._Fields>`

### setFieldValue

    public void setFieldValue(TimedOutException._Fields field,
                              java.lang.Object value)

  Specified by:
    `setFieldValue` in interface `org.apache.thrift.TBase<TimedOutException,TimedOutException._Fields>`

### getFieldValue

    public java.lang.Object getFieldValue(TimedOutException._Fields field)

  Specified by:
    `getFieldValue` in interface `org.apache.thrift.TBase<TimedOutException,TimedOutException._Fields>`

### isSet

    public boolean isSet(TimedOutException._Fields field)

  Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

  Specified by:
    `isSet` in interface `org.apache.thrift.TBase<TimedOutException,TimedOutException._Fields>`

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

### equals

    public boolean equals(TimedOutException that)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### compareTo

    public int compareTo(TimedOutException other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<TimedOutException>`

### fieldForId

    public TimedOutException._Fields fieldForId(int fieldId)

  Specified by:
    `fieldForId` in interface `org.apache.thrift.TBase<TimedOutException,TimedOutException._Fields>`

### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

  Specified by:
    `read` in interface `org.apache.thrift.TBase<TimedOutException,TimedOutException._Fields>`
  Throws:
    `org.apache.thrift.TException`

### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

  Specified by:
    `write` in interface `org.apache.thrift.TBase<TimedOutException,TimedOutException._Fields>`
  Throws:
    `org.apache.thrift.TException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Throwable`

### validate

    public void validate()
                  throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation